import 'nui_miniprogram_enum.dart';

class NUIMiniProgramMessage {
  static const DEFAULT_CHANNEL = "NUIMiniProgramDefaultChannel";

  NUIMiniProgramMessage.empty();
  NUIMiniProgramMessage({this.id, this.channel, this.data});
  String channel;
  String data;
  String id;

  NUIMiniProgramMessage fromJson(Map<String, dynamic> json){
    return NUIMiniProgramMessage(channel: json["channel"], data: json["data"], id: json["id"]);
  }

  Map<String, dynamic> toJson(){
    return {
      "channel": channel,
      "data": data,
      "id": id
    };
  }
}


class NUIMiniProgramInternalMessage{
  NUIMiniProgramInternalMessage({this.type, this.data});
  NUIMiniProgramEventType type;
  String data;

  NUIMiniProgramInternalMessage fromJson(Map<String, dynamic> json){
    return NUIMiniProgramInternalMessage(type: eventTypefromValue(json["type"]), data: json["data"]);
  }

  Map<String, dynamic> toJson(){
    return {
      "type": type.value(),
      "data": data
    };
  }
}

